# Generated from htmlentities-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%if 0%{?fedora} >= 17
%global	rubyabi		1.9.1
%else
%global	rubyabi		1.8
%global	ruby_sitelib            %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%endif

%global	gem_name		htmlentities

# Some functions removed on 4.2.4. Please don't upgrade this rpm
# to 4.3.0+ on F-14-

Summary:	A module for encoding and decoding (X)HTML entities
Name:		rubygem-%{gem_name}
Version:	4.3.1
Release:	3%{?dist}
Group:		Development/Languages
License:	MIT
URL:		http://htmlentities.rubyforge.org/
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems-devel
BuildRequires:	rubygem(test-unit)
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems)
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}-%{release}
%if 0%{?fedora} >= 17
Obsoletes:	ruby-%{gem_name} <= %{version}-%{release}
Provides:	ruby-%{gem_name} = %{version}-%{release}
%endif

%description
HTMLEntities is a simple library to facilitate encoding and 
decoding of named (&yacute; and so on) or numerical (&#123; or &#x12a;) 
entities in HTML and XHTML documents.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
# Directory ownership issue
Requires:	%{name} = %{version}-%{release}
Requires:	ruby(rubygems)

%description	doc
This package contains documentation for %{name}.

%package	-n ruby-%{gem_name}
Summary:	Non-Gem support for %{gem_name}
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Provides:	ruby(%{gem_name}) = %{version}-%{release}

%description	-n ruby-%{gem_name}
This package provides non-Gem support for %{gem_name}.

%prep
# First install rubygems under %%_builddir to execute some
# tests
%setup -q -c -T

mkdir -p ./%{gem_instdir}
gem install \
	-V \
	--local --install-dir ./%{gem_dir} \
	--force \
	--rdoc \
	%{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Cleanups
rm -f %{buildroot}%{gem_instdir}/setup.rb

# Create symlinks for ruby-%%{gem_name}
# Copied from rubygem-gettext.spec

create_symlink_rec(){

ORIGBASEDIR=$1
TARGETBASEDIR=$2

## First calculate relative path of ORIGBASEDIR 
## from TARGETBASEDIR
TMPDIR=$TARGETBASEDIR
BACKDIR=
DOWNDIR=
num=0
nnum=0
while true
do
	num=$((num+1))
	TMPDIR=$(echo $TMPDIR | %{__sed} -e 's|/[^/][^/]*$||')
	DOWNDIR=$(echo $ORIGBASEDIR | %{__sed} -e "s|^$TMPDIR||")
	if [ x$DOWNDIR != x$ORIGBASEDIR ]
	then
		nnum=0
		while [ $nnum -lt $num ]
		do
			BACKDIR="../$BACKDIR"
			nnum=$((nnum+1))
		done
		break
	fi
done

RELBASEDIR=$( echo $BACKDIR/$DOWNDIR | %{__sed} -e 's|//*|/|g' )

## Next actually create symlink
pushd %{buildroot}/$ORIGBASEDIR
find . -type f | while read f
do
	DIRNAME=$(dirname $f)
	BACK2DIR=$(echo $DIRNAME | %{__sed} -e 's|/[^/][^/]*|/..|g')
	%{__mkdir_p} %{buildroot}${TARGETBASEDIR}/$DIRNAME
	LNNAME=$(echo $BACK2DIR/$RELBASEDIR/$f | \
		%{__sed} -e 's|^\./||' | %{__sed} -e 's|//|/|g' | \
		%{__sed} -e 's|/\./|/|' )
	%{__ln_s} -f $LNNAME %{buildroot}${TARGETBASEDIR}/$f
done
popd

}

%if 0%{?fedora} < 17
create_symlink_rec %{gem_instdir}/lib %{ruby_sitelib}
%endif

%check
pushd ./%{gem_instdir}/
for f in test/*.rb
do
	ruby -Ilib $f
done

%files
%dir	%{gem_instdir}
%doc	%{gem_instdir}/[A-Z]*
%{gem_instdir}/lib/

%{gem_cache}
%{gem_spec}

%if %{?fedora} < 17
%files	-n ruby-%{gem_name}
%{ruby_sitelib}/%{gem_name}.rb
%{ruby_sitelib}/%{gem_name}/
%endif

%files	doc
%{gem_instdir}/perf/
%{gem_instdir}/test/
%{gem_docdir}/


%changelog
* Sun Feb  5 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 4.3.1-3
- F-17: rebuild against ruby19

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec  4 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 4.3.1-1
- 4.3.1

* Sun Apr 03 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 4.3.0-1
- 4.3.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  1 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.4-1
- 4.2.4

* Fri Jan 14 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.3-1
- 4.2.3

* Sun Nov  6 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.2-1
- 4.2.2

* Sat Apr 11 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.1-1
- 4.2.1

* Wed Jan 13 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.0-2.respin1
- 4.2.0 (tarball seems respun)

* Thu Aug 27 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.2.0-1
- 4.2.0

* Fri Aug 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.1.0-1
- 4.1.0

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.0-3
- F-12: Mass rebuild

* Fri Mar 6 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Cleanups

* Tue Mar 03 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.0-1
- Initial package
